Package be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

# Enum Class DocumentCategoryType

java.lang.Object
java.lang.Enum<DocumentCategoryType>
be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.DocumentCategoryType

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentCategoryType>`, `java.lang.constant.Constable`

public enum DocumentCategoryType extends Enum<DocumentCategoryType>
Type document

Java class for DocumentCategoryType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="DocumentCategoryType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CHANGED_DEPENDENCY"/>
         <enumeration value="PALLIATIVE_CARE"/>
         <enumeration value="COMA"/>
         <enumeration value="DEMENTED"/>
         <enumeration value="KATZ"/>
         <enumeration value="ESTIMATE_DOCUMENT_BTC"/>
         <enumeration value="PRESCRIPTION"/>
         <enumeration value="RAR"/>
         <enumeration value="TESTREPORT"/>
         <enumeration value="MOTIVATIONREPORT"/>
         <enumeration value="DELIVERY_DOCUMENT"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHANGED_DEPENDENCY`
  `COMA`
  `DELIVERY_DOCUMENT`
  `DEMENTED`
  `ESTIMATE_DOCUMENT_BTC`
  `KATZ`
  `MOTIVATIONREPORT`
  `PALLIATIVE_CARE`
  `PRESCRIPTION`
  `RAR`
  `TESTREPORT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentCategoryType`
  `fromValue(String v)`
  `String`
  `value()`
  `static DocumentCategoryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentCategoryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHANGED_DEPENDENCY

    public static final DocumentCategoryType CHANGED_DEPENDENCY

  - ### PALLIATIVE_CARE

    public static final DocumentCategoryType PALLIATIVE_CARE

  - ### COMA

    public static final DocumentCategoryType COMA

  - ### DEMENTED

    public static final DocumentCategoryType DEMENTED

  - ### KATZ

    public static final DocumentCategoryType KATZ

  - ### ESTIMATE_DOCUMENT_BTC

    public static final DocumentCategoryType ESTIMATE_DOCUMENT_BTC

  - ### PRESCRIPTION

    public static final DocumentCategoryType PRESCRIPTION

  - ### RAR

    public static final DocumentCategoryType RAR

  - ### TESTREPORT

    public static final DocumentCategoryType TESTREPORT

  - ### MOTIVATIONREPORT

    public static final DocumentCategoryType MOTIVATIONREPORT

  - ### DELIVERY_DOCUMENT

    public static final DocumentCategoryType DELIVERY_DOCUMENT

- ## Method Details

  - ### values

    public static DocumentCategoryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentCategoryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static DocumentCategoryType fromValue(String v)